module Tests

import TAP
import Tests.Unicode
import Tests.Lexer
import Tests.Parser
import Tests.Reduce
import Tests.Equal
import System


allTests = [
  Unicode.tests,
  Lexer.tests,
  Parser.tests,
  Reduce.tests,
  Equal.tests
]

main = TAP.main !getTestOpts allTests
